Skip to main content
`Ctrl`+`K`

# MatLMVMGetJ0

Returns a pointer to the internal `J0` matrix.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMGetJ0(Mat B, Mat *J0)

## Input Parameter

- B - A `MATLMVM` matrix

## Output Parameter

- J0 - `Mat` object for defining the initial Jacobian

## Note

If `J0` was created by `B` it will have the options prefix `-mat_lmvm_J0_`.

## See Also

KSP: Linear System Solvers, LMVM Matrices, `MATLMVM`, `MatLMVMSetJ0()`

## Level

advanced

## Location

src/ksp/ksp/utils/lmvm/lmvmutils.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages